Check Transfer
Issue a check
Issue a check to a specific payee for a given amount. If mail_check_request is included, the check will be delivered by Column too.
Body Parameters
account_number_id
stringOptionalOptional. If omitted, defaults to the default account number ID for the provided bank account. Exactly one of bank_account_id or account_number_id must be provided.
allow_overdraft
booleanRequiredAllow the account to go negative for the transfer.
bank_account_id
stringOptionalbank account ID to debit funds from. Exactly one of bank_account_id or account_number_id must be provided.
currency_code
stringRequiredThe three-letter currency code defined in ISO 4217. e.g. USD.
customized_check_number
numberOptionalCustom check number to use instead of the auto-generated one.
description
stringRequiredA description of the check transfer.
mail_check_request
objectOptionalRequest details for mailing the check to a recipient address.
attachment_document_id
stringRequiredID of a document to include as an attachment with the mailed check.
courtesy_of
stringRequiredName of the person or organization sending the check on behalf of the payor.
delivery_method
stringOptionalDelivery method for the check. Possible values: usps_first_class, usps_priority, ups_next_day
memo
stringRequiredMemo line text to print on the check.
message
stringRequiredMessage to the payee
payee_address
objectRequiredThe mailing address of the payee where the check will be sent.
city
stringRequiredCity name
country_code
stringRequiredTwo-letter ISO 3166-1 alpha-2 country code (e.g. US)
line_1
stringRequiredStreet address line 1
line_2
stringOptionalStreet address line 2
postal_code
stringOptionalPostal or ZIP code
state
stringOptionalState or province
payee_company
stringRequiredCompany name of the payee, if applicable.
payor_address
objectRequiredThe return address of the payor to print on the check envelope.
city
stringRequiredCity name
country_code
stringRequiredTwo-letter ISO 3166-1 alpha-2 country code (e.g. US)
line_1
stringRequiredStreet address line 1
line_2
stringOptionalStreet address line 2
postal_code
stringOptionalPostal or ZIP code
state
stringOptionalState or province
payor_name
stringRequiredName of the payor to print on the check.
signatory
stringRequiredName of the signatory to print on the check.
payee_name
stringRequiredName of the person or entity the check is payable to.
positive_pay_amount
integerRequiredOptional. If provided, Column will perform positive-pay validation.
void_date
stringOptionalDate the check is automatically voided. Must be a future date. Interpreted as Pacific Time.